<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <HeaderAuthor>Siemens_Industry_Support</HeaderAuthor>
      <HeaderFamily>LGF</HeaderFamily>
      <HeaderName>LGF_FIFO</HeaderName>
      <InstanceOfName>LGF_FIFO</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="enqueue" Datatype="Bool" />
    <Member Name="dequeue" Datatype="Bool" />
    <Member Name="reset" Datatype="Bool" />
    <Member Name="clear" Datatype="Bool" />
    <Member Name="initialItem" Datatype="Variant" />
    <Member Name="maxElementCount" Datatype="UInt" />
  </Section>
  <Section Name="Output">
    <Member Name="error" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="status" Datatype="Word">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="subFunctionStatus" Datatype="Word">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="elementCount" Datatype="USInt" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="isEmpty" Datatype="Bool" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="isFull" Datatype="Bool" Remanence="Retain" />
    <Member Name="oldestElement" Datatype="Int" />
    <Member Name="enqueueDone" Datatype="Bool" />
    <Member Name="dequeueDone" Datatype="Bool" />
  </Section>
  <Section Name="InOut">
    <Member Name="itemIn" Datatype="Variant" />
    <Member Name="buffer" Datatype="Variant" />
    <Member Name="itemOut" Datatype="Variant" />
  </Section>
  <Section Name="Static">
    <Member Name="statEdgesMem" Datatype="Struct" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="enqueue" Datatype="Bool" />
      <Member Name="dequeue" Datatype="Bool" />
      <Member Name="clear" Datatype="Bool" />
    </Member>
    <Member Name="statFirstItemIndex" Datatype="Int" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNextEmptyItemIndex" Datatype="Int" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statElementCount" Datatype="DInt" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>DB_LGF_FIFO_MAX</Name>
      <Namespace />
      <Number>49</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>